
im=sqrt(-1)
r(x)=exp(im*x)
y(x)=1.
gam=0.583
alpha=(1-gam)
set logscale
ytt(x,m)=sum [n=1:m] n**(-gam)*r(x)**n
yt(x,n)=y(x)*ytt(x,n)
xac(x)=abs(y(x)*(1-r(x))**(-alpha))

set samples 2000

xo=0.01
plot [0.001:0.2] abs(yt(xo,1000))*(x/xo)**(-alpha) t 'lambda^{ -alpha}',abs(yt(x,100)) t 'z_{100}(lambda)',abs(yt(x,300)) t 'z_{300}(lambda)',abs(yt(x,1000)) t 'z_{1000}(lambda)'

pause -1
